/* stylelint-disable scss/double-slash-comment-empty-line-before */
/* stylelint-disable declaration-empty-line-before */
/* stylelint-disable font-family-no-missing-generic-family-keyword */
/* stylelint-disable no-descending-specificity */
// Document
// Change from `box-sizing: content-box` so that `width` is not affected by `padding` or `border`.

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

// HTML & Body

html,
body {
  height: 100%;
}

// HTML

html {
  scroll-behavior: smooth;
}

// Body

body {
  line-height: 1.5;
  font-family: Lato;
  font-size: 16px;
  font-weight: 400;
  color: #424242;
  background-color: #fff;
  -webkit-font-smoothing: antialiased;
}

// Content grouping

hr {
  margin: 16px 0;
  color: inherit;
  background-color: currentColor;
  border: 0;
  opacity: 0.25;
}

hr:not([size]) {
  height: 1px;
}

// Typography

%heading {
  margin-top: 0; // 1
  margin-bottom: 8px;
  font-family: Lora;
  font-style: normal;
  font-weight: 700;
  line-height: 1.2;
  // color: null;
}

h1 {
  @extend %heading;
  font-size: 87px;
}

h2 {
  @extend %heading;
  font-size: 65px;
}

h3 {
  @extend %heading;
  font-size: 49px;
}

h4 {
  @extend %heading;
  font-size: 37px;
}

h5 {
  @extend %heading;
  font-size: 28px;
}

h6 {
  @extend %heading;
  font-size: 21px;
}

// Reset margins on paragraphs

p {
  margin-top: 0;
  margin-bottom: 20px;
}

// Abbreviations

abbr[title],
abbr[data-bs-original-title] {
  // 1
  text-decoration: underline dotted; // 2
  cursor: help; // 3
  text-decoration-skip-ink: none; // 4
}

// Address

address {
  margin-bottom: 1rem;
  font-style: normal;
  line-height: inherit;
}

// Lists

ol,
ul {
  padding-left: 2rem;
}

ol,
ul,
dl {
  margin-top: 0;
  margin-bottom: 1rem;
}

ol ol,
ul ul,
ol ul,
ul ol {
  margin-bottom: 0;
}

dt {
  font-weight: 700;
}

// 1. Undo browser default

dd {
  margin-bottom: 0.5rem;
  margin-left: 0; // 1
}

// Blockquote

blockquote {
  margin: 0 0 1rem;
}

// Strong

b,
strong {
  font-weight: 700;
}

// Small

small {
  font-size: 14px;
}

// Mark

mark {
  padding: 3.2px;
  background-color: #fcf8e3;
}

// Sub and Sup

sub,
sup {
  position: relative;
  font-size: 12px;
  line-height: 0;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

// Links

a {
  color: #424242;
  text-decoration: none;

  &:hover {
    color: #212121;
    text-decoration: underline;
  }
}

a:not([href]):not([class]) {
  &,
  &:hover {
    color: inherit;
    text-decoration: none;
  }
}

// Images and content

img,
svg {
  vertical-align: middle;
}

// Tables

table {
  caption-side: bottom;
  border-collapse: collapse;
}

caption {
  padding-top: 10px;
  padding-bottom: 10px;
  color: #6c757d;
  text-align: left;
}

th {
  font-weight: null; // 1
  text-align: inherit; // 2
  text-align: -webkit-match-parent; // 3
}

thead,
tbody,
tfoot,
tr,
td,
th {
  border-color: inherit;
  border-style: solid;
  border-width: 0;
}

// Forms

label {
  display: inline-block;
}

button {
  border-radius: 0;
}

button:focus:not(:focus-visible) {
  outline: 0;
}

input,
button,
select,
optgroup,
textarea {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

button,
select {
  text-transform: none;
}

[role='button'] {
  cursor: pointer;
}
